<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear Picture Show plugin.
# Copyright (c) 2008 Anne-Cécile Calvot. All rights reserved.
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****  
## gestion des droits
if (!defined('DC_CONTEXT_ADMIN')) { exit; }

$g_core = &$GLOBALS['core'];
if (!$g_core->auth->check('media,media_admin,admin',$g_core->blog->id)) { exit; }
if (psConf::hasToBeInit()) { http::redirect($p_url."&type=blog&msg=".__('Pictures Show has been updated for this blog')); }
if (!psConf::getIfActif()) { $msg = __("For using Pictures Show you must first activate it"); }

$display_tab = "galleries";

## gestion du parametrage pour le blog courant
if (psConf::getIfActif() && $g_core->auth->check('admin',$g_core->blog->id)) {
	$nb_pictures_per_page = psConf::getGalNbPicturesPerPage();
	$pictures_format_id = psConf::getGalPicturesFormatId();
	$thumbnails_format_id = psConf::getGalThumbnailsFormatId();
	$view_menu = psConf::getIfViewMenu();
	$target_link = psConf::getTargetLink();
	$url_picture = psConf::getUrlPicture();
	$url_picture_textbox = "";
	if ( $url_picture != psConf::$all_pictures_picture
		&& $url_picture != psConf::$gallery_picture) {

		$url_picture_textbox = $url_picture;
	}
	$display_name = psConf::getPostGalleryTheme();
	$css_title = psConf::getTitleCssStyle();
	$ksdfgljksdfomgjsdfkljgmklsdfjgkjdfskgs = $css_title;
	$format_list = psFormatsTools::getFormatCombo(fpFFormatLibrary::getAllFormats('psFormat'));

	if (!empty($_POST['saveconfig'])
		&& $_POST['saveconfig']==__('Save configuration'))
	{
		$display_tab = "params" ;
		try
		{
			$nb_pictures_per_page = (empty($_POST['nb_pictures']))?'-1':$_POST['nb_pictures'];
			$pictures_format_id = $_POST['format_id'];
			$thumbnails_format_id = $_POST['thumbnails_format_id'];
			
			$view_menu = (empty($_POST['view_menu']))?false:true;
			$target_link = (empty($_POST['target_link']))?'':$_POST['target_link'];
			if( $target_link != "none" ) {
				$url_picture = (empty($_POST['url_picture']))?'':$_POST['url_picture'];
				if ($url_picture == "selected") {
					$url_picture = (empty($_POST['url_picture_textbox']))?'':$_POST['url_picture_textbox'];
					$url_picture_textbox = $url_picture;
				}
				else {
					$url_picture_textbox = "";
				}
			}
			
			$display_name = (empty($_POST['display_name']))?'':$_POST['display_name'];
			if( $display_name != "none" ) {
				$css_title = (empty($_POST['css_title']))?'':$_POST['css_title'];
			}
			
			/* on vérifie les arguments */
			if (!preg_match( "/^-?[0-9]{0,2}$/",$nb_pictures_per_page)) {
				throw new Exception("The format of nb pictures is incorect.");
			}
			$arg_nb_pictures_per_page = ($nb_pictures_per_page!=null)?$nb_pictures_per_page:"-1";
			psConf::setGalleryConf($arg_nb_pictures_per_page,$pictures_format_id,$thumbnails_format_id,$view_menu,$target_link,$url_picture,$display_name,$css_title);
			$g_core->blog->triggerBlog();

			$msg = __('Configuration successfully saved').".";
		}
		catch (Exception $e)
		{
			$g_core->error->add($e->getMessage());
		}
	}
}

## gestion des galeries pour le blog courant
if (psConf::getIfActif() && $g_core->auth->check('media,media_admin,admin',$g_core->blog->id)) {
	# Selected gallery
	$gallery_name = '';
	$gallery = null;
	$pictures = array();
	if (!empty($_POST['changegallery']) ) {
		$display_tab = "galleries";
	}
	if (!empty($_POST['rep_name'])) {
		$display_tab = "galleries";

		$gallery_name = $_POST['rep_name'];
		$gallery = psAdminPicturesGallery::getAdminGallery($gallery_name);

		$a_sauver = '';
		$tmp_order = array();
		$order = array();
		
		# Select post
		$params['meta_id'] = $gallery_name;
		$params['meta_type'] = psConf::getMetaRepName();
		$m = new dcMeta($g_core);
		$rs = $m->getPostsByMeta($params);
		
		$res = "";
		
		while ($rs->fetch()) {
			$res .= '<li><a href="'.$rs->getURL().'">'.
			html::escapeHTML($rs->post_title).'</a></li>';
		}
		
		try {
			# Order
			/*if (!empty($_POST['pictures_order']) && !empty($_POST['saveorder'])) {
				// on a un nouveau ordre
				$tmp_order = explode(',',substr($_POST['pictures_order'],0,-1));
				if (!empty($tmp_order)) {
					foreach ($tmp_order as $key => $val) {
						$order[$val] = array("+",$val);
					}
				}
				$gallery->setOrder($order);
				
			}/* */
			
			# Selected categories
			if (!empty($_POST['saveorder']) && !empty($_POST['display']) && is_array($_POST['display']))
			{
				foreach ($_POST['display'] as $id => $val)
				{
					$order[$id][] = $val;
					$order[$id][] = $id;
					$a_sauver .= "[".$val.$id."]\n";
				}
				$gallery->setOrder($order);
				$core->blog->triggerBlog();
			}
		
			$pictures = $gallery->getPicturesOfPage();
		}
		catch (Exception $e)
		{
			$g_core->error->add($e->getMessage());
		}
	}
}
?>
<html>
<head>
	<title><?php echo __('The Pictures Show gallery'); ?></title>
	<!-- onglets -->
	<script type="text/javascript" src="js/jquery/jquery.pageTabs.js"></script>
		<script type="text/javascript">
		//<![CDATA[
		$(function() {
			$.pageTabs('<?php echo $display_tab; ?>');
		});

		//]]>
	</script>
<?php
if (psConf::getIfActif() && $g_core->auth->check('admin',$g_core->blog->id)) {
?>
	<!-- parametrage -->
	<script type="text/javascript" src="index.php?pf=picturesShow/js/_admin.js"></script>
	<style type="text/css"><!--
		.label_list_radio {
			float: left;
			width: 15em;
			height: 2em;
		}
		.list_radio {
			float: left;
			width: 15em;
			height: 2em;
		}
		//-->
	</style>
<?php
}
if (psConf::getIfActif() && $g_core->auth->check('media,media_admin,admin',$g_core->blog->id)) {
?>
	<!-- galleries -->
	<?php echo dcPage::jsToolMan(); ?>
	<script type="text/javascript" src="index.php?pf=picturesShow/js/_gallery.js"></script>
	<style type="text/css"><!--
		#boxes {
			font-family: Arial, sans-serif;
			list-style-type: none;
			margin: 0px;
			padding: 0px;
			width: 100%;
		}
		#boxes li {
			cursor: move;
			position: relative;
			float: left;
			margin: 2px 2px 0px 0px;
			width: 120px;
			height: 70px;
			border: 1px solid #000;
			text-align: center;
			padding-top: 5px;
			background-color: #eeeeff;
		}
		.on { width: 12px; height: 12px; background: url('images/check-on.png')  no-repeat 5px 5px; }
		.off { width: 12px; height: 12px; background: url('images/check-off.png') no-repeat 5px 5px; } 
		//-->
	</style>
<?php
}
?>
</head>

<body>
<h2><?php echo html::escapeHTML($g_core->blog->name); ?> &gt; <?php echo __('Pictures Show galleries'); ?></h2>
<?php 
if (!empty($msg)) echo '<p class="message">'.$msg.'</p>';
if (psConf::getIfActif() && $g_core->auth->check('admin',$g_core->blog->id)) {
?>
<div class="multi-part" id="params" title="<?php echo __('Display parameters'); ?>">
  <!--h3><?php echo __('Display parameters'); ?></h3-->

	<form method="post" action="plugin.php" id="form-parameter">
	<fieldset>
		<legend><?php echo __('Predefined styles'); ?></legend>
		<p class="field">
			<label class="classic">
			<?php 
			$combo_list_theme = array(
				' '=>' ',
				__('Show all pictures in the post and use the Pictures Show page with a pager (default theme)')=>'default_gallery_in_template',
				__('Show a preview (4 pictures) in the post and use the Pictures Show page without pager')=>'gallery_in_template_4',
				__('Show a preview (8 pictures) in the post and use the Pictures Show page with a pager')=>'gallery_in_template_2',
				__('Show a preview (10 pictures) in the post and use the Pictures Show page without pager')=>'gallery_in_template_3',
				__('Move the gallery inside the post (need Lightbox)')=>'gallery_in_post',
				__('Use my {{Tpl}}')=>'none');
			echo form::combo('theme_name',$combo_list_theme); ?>&nbsp;
			<?php echo __('Gallery theme');?>
			</label>
		</p>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Gallery aspect'); ?></legend>
		<p class="field">
			<label class=" classic">
			<?php 
			$field_nb_pictures_per_page = ($nb_pictures_per_page!="-1")?$nb_pictures_per_page:"";
			echo form::field('nb_pictures', 2, 2, $field_nb_pictures_per_page); ?>&nbsp;
			<?php echo __('Number of pictures per page');?>
			</label>
		</p>
		<p class="form-note">&nbsp;&nbsp;<?php echo __('Leave empty to cancel this feature.');?></p>
		<p class="field">
			<label class=" classic">
			<?php echo form::combo('format_id',$format_list, $pictures_format_id); ?>&nbsp;
			<?php echo __('Main format');?>
			</label>
		</p>
		<p class="field">
			<label class=" classic">
			<?php echo form::combo('thumbnails_format_id',$format_list, $thumbnails_format_id); ?>&nbsp;
			<?php echo __('Thumbnails format');?>
			</label>
		</p>
		<p class="form-note">&nbsp;&nbsp;Si différent de '<?php echo __('Normal Format');?>' la miniature sera cliquable
		et le lien pointera sur le format choisi dans '<?php echo __('Normal Format');?>'.
		</p>
	</fieldset>
	<fieldset>
		<legend><?php echo __('The page'); ?> Pictures Show</legend>
		<p class="field">
			<label class="classic"><?php echo form::checkbox('view_menu', 1, $view_menu); ?>&nbsp;
			<?php echo __('Visible menu');?>
			</label>
		</p>
	</fieldset>
	<fieldset>
		<legend><?php echo __('The home page'); ?></legend>
		<p class="field">
			<label class="classic"><?php 
			$combo_target_list = array(
				"--".__("None")."--"=>"none",
				__('Gallery inside the post')=>psConf::$target_link_to_post,
				__('The Pictures Show page')=>psConf::$target_link_to_pstemplate);
			echo form::combo('target_link',$combo_target_list,$target_link); ?>&nbsp;
			<?php echo __('Link target');?>
			</label>
		</p>
		<p class="field">
			<div class="label_list_radio">&nbsp;
			<?php echo __('Link decoration');?></div>
			<?php
			if ($url_picture_textbox != "") {
				$seleted_1 = false;
				$seleted_2 = false;
				$seleted_3 = true; 
			}
			else if ($url_picture == psConf::$all_pictures_picture) {
				$seleted_1 = true;
				$seleted_2 = false;
				$seleted_3 = false; 
			}
			else {
				$seleted_1 = false;
				$seleted_2 = true;
				$seleted_3 = false; 
			}
			?>
			<div class="list_radio"><?php echo form::radio('url_picture', psConf::$all_pictures_picture,$seleted_1); ?>&nbsp;<img alt="" src="index.php?pf=picturesShow/img/all_pictures.png" /> (Blue Silence)</div>
			<div class="list_radio"><?php echo form::radio('url_picture', psConf::$gallery_picture,$seleted_2); ?>&nbsp;<img alt="" src="index.php?pf=picturesShow/img/gallery.gif" /> (Blowup)</div>
			<div class="list_radio"><?php echo form::radio('url_picture', "selected",$seleted_3); ?>&nbsp;<?php echo form::field('url_picture_textbox', 20, 100,$url_picture_textbox); ?></div>
		</p>
	</fieldset>
	<fieldset>
		<legend><?php echo __('Gallery inside the post'); ?></legend>
		<p class="field">
			<label class="classic"><?php 
			$combo_display_name_list = array(
				"--".__("None")."--"=>"none",
				__("Display the gallery (with 'Gallery aspect' parameter)")=>psConf::$gallery_theme_gallery,
				__('Preview with 4 pictures (with points)')=>psConf::$gallery_theme_extrai_4,
				__('Preview with 8 pictures (with text at the beginning)')=>psConf::$gallery_theme_extrai_8,
				__('Preview with 10 pictures (with text in the center)')=>psConf::$gallery_theme_extrai_10,
				__('Display all pictures (with square format) as a link to the gallery')=>psConf::$gallery_theme_extrai_all);
			echo form::combo('display_name',$combo_display_name_list,$display_name); ?>&nbsp;
			<?php echo __('Content');?>
			</label>
		</p>
		<p class="field">
			<label class="classic"><?php 
			$combo_css_title_list = array(
				"--".__("None")."--"=>"none",
				__('Blue Silence')=>psConf::$css_title_blue_silence,
				__('Blowup')=>psConf::$css_title_blowup);
			echo form::combo('css_title',$combo_css_title_list,$css_title); ?>&nbsp;
			<?php echo __('Title aspect');?>
			</label>
		</p>
	</fieldset>
	<input type="hidden" name="p" value="picturesShow" />
	<input type="hidden" name="type" value="blog" />
	<?php echo $g_core->formNonce(); ?>
	<input type="submit" name="saveconfig" value="<?php echo __('Save configuration'); ?>" />
	</form>
</div>
<?php
}
if (psConf::getIfActif() && $g_core->auth->check('media,media_admin,admin',$g_core->blog->id)) {
?>
<div class="multi-part" id="galleries" title="<?php echo __('Galleries Manager'); ?>">
  <!--h3><?php echo __('Galleries Manager'); ?></h3-->
  
		
	<form action="plugin.php" method="post" id="form-gallery">
		<div class="two-cols" style="clear:right;">
		<p class="col">
		
<?php
		echo form::hidden('p','picturesShow');
		echo form::hidden('type','blog');
		echo form::hidden('changegallery','oui');
		echo form::combo('rep_name',psAdminPicturesGallery::getGalleryComboBox(true),$gallery_name);
	
		echo $core->formNonce();
?>
	<br/>
		</p>
		<p class="col right">
		Déplacez les images pour les ordonner.<br/>
		Double-cliquez pour les activer/désactiver.
		</p>
		<?php echo $core->formNonce(); ?></p>
		</div>
		
		
		<?php if(isset($res) && $res!=null){ ?>
		<fieldset>
		<legend><?php echo __('List of attached post'); ?></legend>
		<ul>
				<?php echo $res; ?>
		</ul>
		<?php } ?>
		</fieldset>
	</form>
<?php		
	if ($gallery == null)
	{
		echo '<br/><p>'.__('Choose a gallery').'</p>';
	}
	else if ($pictures == null || count($pictures) == 0	)
	{
		echo '<br/><p>'.__('No picture').'</p>';
	}
	else
	{
?>
	<fieldset>
	<legend><?php echo __('Pictures'); ?></legend>
	<form action="plugin.php" method="post" id="form-pictures">
		<?php
		echo form::hidden('p','picturesShow');
		echo form::hidden('type','blog'); 
		echo form::hidden('rep_name',$gallery_name);
		?>
		<ul id="boxes">
		
		<?php		
		foreach ($pictures as $picture) {
		?>
			<li class="box <?php echo ($picture->getIsSelected()) ? "on" : "off";?>" id="p_<?php echo $picture->getId(); ?>" name="imgdisplay[]">
			<?php
			if ($picture->formatExist('sq')) {
			?>
				<img src="<?php echo psConf::getURLPicturesShow(false)."/".$gallery->getRelativRep()."/".$picture->getThumbnailByFormatId('sq')->getFileName(); ?>">
			<?php
			}
			else {
			?>
				<img src="index.php?pf=picturesShow/img/image.png">
			<?php
			}?>
			<br/>
				<?php  echo form::hidden(array('display['.$picture->getId().']'), ($picture->getIsSelected()) ? "+" : "-", '', '', true);?>
				<?php echo html::escapeHTML($picture->getId()); ?>
			</li>
		<?php
		}
		?>
		</ul>
		
		<div style="clear:left; padding: 0.5em 0 0 0" class="two-cols">
		<p class="col"><?php echo form::hidden('pictures_order',''); ?>
		<input type="submit" name="saveorder" value="<?php echo __('Save');?>"/>
		</p>
		<p class="col right">
		</p>
		<?php echo $core->formNonce(); ?></p>
		</div>
	</form>
	</fieldset>
			
<?php
	}
?>
</div>	
<?php
}
?>
</body>
</html>
