<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear Picture Show plugin.
# Copyright (c) 2008 Anne-Cécile Calvot. All rights reserved.
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****
/**
 * C'est une galerie qui peut être formée de plusieures pages.
 * On ne peut obtenir les images que page par page.
 * On ne peut pas naviguer au seins de la gallerie par contre on peut obtenir des informations sur celle-ci.  
 * Cette galerie a la particularité d'offrir la possibilité de modifier l'ordre et la selection des images.
 * */
class psAdminPicturesGallery extends psPicturesGallery {

	/**
	 * Méthode permettant de frabriquer l'objet.
	 */
	public static function getAdminGallery($rep_picture)
	{
		$format=psFormatsTools::$original_pitures_format_id;
		$nb_pictures_per_page = '-1';

		/* Pour ne pas avoir a recharger la galerie à chaque fois,
	  	 * on note la dernière galerie chargée.
	  	 * Si on travaille toujours sur la même galerie on ne la recharge pas.
	  	 * */
		$id_curente_gal = 'A'.$rep_picture.$format;
		if (parent::$the_gallery_id == $id_curente_gal)
		{
			parent::$the_gallery->setCurrentPageNum(0);
		}
		else {
			parent::$the_gallery_id = $id_curente_gal;
			$scheduler = new psAdminSchedulerPicture($rep_picture);
			parent::$the_gallery = new psAdminPicturesGallery($scheduler,$rep_picture,$format,0,$nb_pictures_per_page,null,false);
		}
		return parent::$the_gallery;
	}
	
	/**
	 * Permet de modifier l'ordre et la selection des images.
	 */
	public function setOrder($order) {
		$this->scheduler->saveOrder($order);
		# force le rechargement de l'ordre
		parent::loadView();
	}

	/**
	 * Donne un tableau indexé permettant de faire une combobox qui liste
	 * l'ensemble des repertoires (pour le blog courant) qui peuvent être
	 * utilisés comme galerie par Pictures Show et pour lesquels l'utilisateur a suffisament de droits.
	 * Les droits nécéssaires sont de pouvoir modifier toutes les images (y compris celles des sous répertoires)
	 * comprises dans la galerie.
	 * $get_none	<b>boolean</b> par defaut à true. Si à true, on rajoute le choix "None" au tableau retourné.
	 *		Le choix "None" qui permet par exemple de ne pas attacher de galerie.
	 * */
	public static function getGalleryComboBox($get_none=true) {
		
		return parent::getEditableGalleryComboBox($get_none,true);
	}
	
}
?>
