<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear Picture Show plugin.
# Copyright (c) 2008 Anne-Cécile Calvot. All rights reserved.
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****
/**
 * Permet d'ordoner un tableau d'image en fonction d'un fichier texte.
 * L'ordre ne peut être changé.
 */
class psRandomSchedulerPicture extends psSchedulerPicture {
	
	protected $nb_pictures_min; // {int}
	
	public function __construct($rep_gallery,$nb_pictures_min)
	{
		$this->rep_gallery = $rep_gallery;
		parent::loadOrder();
		$this->nb_pictures_min = $nb_pictures_min;
	}

	/**
	 * On applique la selection sur les images.
	 * $pictures : {array(psPicture)} avec en clé le nom/id de l'image
	 * @return un tableau (sans clée) ordonné de psPictures 
	 */
	public function applyOrder($pictures) {
		$shuffle_pictures = array();
		
		$tmp_shuffle_pictures = parent::applyOrder($pictures);
		$nb_picture = count($tmp_shuffle_pictures);
		if ( $nb_picture > 0 ) {
			// Les clées disparaissent
			shuffle($tmp_shuffle_pictures);
			$le_pas = $nb_picture;
			
			$shuffle_pictures = $tmp_shuffle_pictures;
			
			while ( $nb_picture < $this->nb_pictures_min ) {
				shuffle($tmp_shuffle_pictures);
				foreach ( $tmp_shuffle_pictures as $pictures ) {
					if ( $nb_picture  < $this->nb_pictures_min ) {
						$shuffle_pictures[] = $pictures;
						$nb_picture += 1;
					}
					else {
						break;
					}
				}
			}
		
			return $shuffle_pictures;
		}
		
		return array();
	}
	
}
?>
