<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear Picture Show plugin.
# Copyright (c) 2008 Anne-Cécile Calvot. All rights reserved.
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# ***** END LICENSE BLOCK *****

/**
 * Gére la metadata utisisée par Pictures Show.
 * */ 
class psMetaData {

	/**
	 * Affiche le champs à saisir dans l'édition du billet 
	 * */
	public static function adminPostHeaders() {
		$res = '<script type="text/javascript" src="index.php?pf=picturesShow/js/_post.js"></script>';
		echo $res;
	}
	
	/**
	 * Affiche le champs de saisi des galeries.
	 * Les galeries listées peuvent ne contenir que des images déselectionnées.
	 * (Normalement l'affichage dans le blog se fait comme si aucune galerie  n'était selectionnée)
	 */
	public static function showDir(&$post) {
		$g_core = &$GLOBALS['core'];
		$posted_value = &$_POST["ps_".psConf::getMetaRepName()];
		$dcmeta = new dcMeta($g_core);
		$value = '';

		/* en cas d'erreur on récupère la valeure postée pour l'afficher de nouveau */
		if ($posted_value != null) {
			$value = $posted_value;
		} 
		/* a la création le post n'existe pas */
		else if ($post != null) {
			$value = $dcmeta->getMetaStr($post->post_meta, psConf::getMetaRepName());
		}

		/* a la création le post n'existe pas */
		if ($post != null) {
			$url = psConf::getURLPSGallery().$post->post_id."/";
		}

		$disabled = false;
		if (!$g_core->auth->check('publish,contentadmin,admin',$g_core->blog->id)) {
			$disabled = true;
		}
		$input = psConf::getURLPicturesShow(false).form::combo('ps_'.psConf::getMetaRepName(),psPicturesGallery::getGalleryComboBox(),$value,null,null,$disabled);
		
		$res = '
				<fieldset>
				<legend>'.__("Gallery").'</legend>
				<p>
				<label><strong>'.__("Gallery attached to this post").' :</strong></label>
				'.$input.'
				<br/>
				</p>
				</fieldset>';
		echo $res;
	}

	private static function saveAMetadata($post_id,$meta_data_name,$value) {
		$g_core = &$GLOBALS['core'];

		if (!$g_core->auth->check('publish,contentadmin,admin',$g_core->blog->id)) {
			 return;
		}
		$dcmeta = new dcMeta($GLOBALS['core']);
		$dcmeta->delPostMeta($post_id,$meta_data_name);

		try {
			if (!empty($value) && $value!="") {
				// méthode qui devrait etre static qui rajout en base la ligne correspondante
				// (et même son équivalent dans la colonne meta du post)
				$dcmeta->setPostMeta($post_id,$meta_data_name,$value);
			}
		} catch(Exception $e) {
			throw new Exception (__("Can not create a gallery without name"));
		}
	}

	/**
	 * Enregistre la valeur saisie par l'utilisateur
	 * */
	public static function saveMetadataRep(&$cur,$post_id) {

		self::saveAMetadata($post_id,psConf::getMetaRepName(),$_POST["ps_".psConf::getMetaRepName()]);
	}
}
?>
